"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var S=Object.create;var b=Object.defineProperty;var x=Object.getOwnPropertyDescriptor;var w=Object.getOwnPropertyNames;var v=Object.getPrototypeOf,C=Object.prototype.hasOwnProperty;var O=(e,n)=>()=>(n||e((n={exports:{}}).exports,n),n.exports);var I=(e,n,o,r)=>{if(n&&typeof n=="object"||typeof n=="function")for(let t of w(n))!C.call(e,t)&&t!==o&&b(e,t,{get:()=>n[t],enumerable:!(r=x(n,t))||r.enumerable});return e};var f=(e,n,o)=>(o=e!=null?S(v(e)):{},I(n||!e||!e.__esModule?b(o,"default",{value:e,enumerable:!0}):o,e));var l=O((U,g)=>{g.exports=Vue});var p=f(l()),L=Object.prototype.toString,d=e=>L.call(e),m=e=>d(e).slice(8,-1);function j(){return typeof __channelId__=="string"&&__channelId__}function B(e,n){switch(m(n)){case"Function":return"function() { [native code] }";default:return n}}function D(e,n,o){return j()?(o.push(n.replace("at ","uni-app:///")),console[e].apply(console,o)):o.map(function(t){let c=d(t).toLowerCase();if(["[object object]","[object array]","[object module]"].indexOf(c)!==-1)try{t="---BEGIN:JSON---"+JSON.stringify(t,B)+"---END:JSON---"}catch(a){t=c}else if(t===null)t="---NULL---";else if(t===void 0)t="---UNDEFINED---";else{let a=m(t).toUpperCase();a==="NUMBER"||a==="BOOLEAN"?t="---BEGIN:"+a+"---"+t+"---END:"+a+"---":t=String(t)}return t}).join("---COMMA---")+" "+n}function u(e,n,...o){let r=D(e,n,o);r&&console[e](r)}function y(){return uni.getSubNVueById(plus.webview.currentWebview().id)}var h=(e,n)=>{let o=e.__vccOpts||e;for(let[r,t]of n)o[r]=t;return o};var s=f(l()),E={"banner-wrap":{"":{display:"flex",justifyContent:"center",alignItems:"center",backgroundColor:"#cccccc"}}},A=(0,s.defineComponent)({setup(e){let o=(0,s.ref)("100"),r=y(),t=a=>{o.value=Math.round(675*a.detail.rate),u("log","at components/nvue/banner.nvue:20","banner_height.value",o.value),r.setStyle({height:uni.upx2px(o.value)+"px",width:uni.upx2px(675)+"px",left:uni.upx2px(37)+"px"}),r.show("none",0,()=>{})},c=a=>{u("log","at components/nvue/banner.nvue:41","onInit"),u("log","at components/nvue/banner.nvue:42","emit banner-close"),r.hide("none",0)};return(a,k)=>{let N=(0,s.resolveComponent)("BannerComponent");return(0,s.openBlock)(),(0,s.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,s.createVNode)(N,{bannerIdx:100,style:(0,s.normalizeStyle)("width:"+675+"rpx;height:"+o.value+"rpx"),onInit:t,onClose:c,class:"ad-banner"},null,8,["style"])])}}}),i=h(A,[["styles",[E]]]);var _=plus.webview.currentWebview();if(_){let e=parseInt(_.id),n="components/nvue/banner",o={};try{o=JSON.parse(_.__query__)}catch(t){}i.mpType="page";let r=Vue.createPageApp(i,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:n,__pageQuery:o});r.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...i.styles||[]])),r.mount("#root")}})();
